import * as constructs from 'constructs';
import * as cloudWanEnum from './cloudWanEnum';
/**
 * Create a Network Segment in a core network
 */
export declare class CoreNetworkSegment extends constructs.Construct {
    /** the name for the segment */
    readonly segmentName: string;
    /** Service token for  */
    readonly policyTableServiceToken: string;
    /** resources which update depends on */
    private updateDependsOn;
    constructor(scope: constructs.Construct, id: string, props: cloudWanEnum.ICoreNetworkSegmentProps);
    /**
       * Add an Action to the Segment, ( Share or Route )
       * @param props segment action
       */
    addSegmentAction(props: cloudWanEnum.SegmentAction): void;
    /**
       * Add an AttachmentPolicy to a segment
       * @param props An attachment policy
       */
    addAttachmentPolicy(props: cloudWanEnum.AttachmentPolicy): void;
}
